---
title: sinh

description: hyperbolic sine function

categories:
 - object

pdcategory: cyclone, Data Math

arguments:
- type: float
  description: initially stored value
  default: 0

inlets:
  1st:
  - type: float
    description: input to hyperbolic sine function
  - type: bang
    description: output the hyperbolic sine of stored value


outlets:
  1st:
  - type: float
    description: the hyperbolic sine of the input

draft: true
---

[sinh] calculates the hyperbolic sine of a given number.
